import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {
    // We expect FizzBuzz.of(3) to return "Fizz"
    // We expect FizzBuzz.of(5) to return "Buzz"
    // We expect FizzBuzz.of(15) to return "FizzBuzz"
    // Anything else will return the number FizzBuzz.of(2) returns "2"

    @Test
    public void fizzTest() {
        // Given
        // FizzBuzz fizz = new FizzBuzz();
        int n = 6;
        String expected = "Fizz";

        //When
        String actual = FizzBuzz.of(n);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void buzzTest() {
        // Given
        int n = 25;
        String expected = "Buzz";

        // When
        String actual = FizzBuzz.of(n);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void fizzBuzzTest() {
        // Given
        int n = 60;
        String expected = "FizzBuzz";

        // When
        String actual = FizzBuzz.of(n);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void otherFizzBuzzTest() {
        //Given
        int n = 26;
        String expected = Integer.toString(n);

        // When
        String actual = FizzBuzz.of(n);
        Assert.assertEquals(expected, actual);
    }
}
